package com.zd.chemical.service;

import java.util.List;

import com.zd.chemical.domain.SydSmsLog;

/**
 * 四医大校方短信对接日志Service接口
 *
 * @author liubo
 * @date 2022-09-16
 */
public interface ISydSmsLogService {
    /**
     * 查询四医大校方短信对接日志
     *
     * @param id 四医大校方短信对接日志主键
     * @return 四医大校方短信对接日志
     */
    SydSmsLog selectSydSmsLogById(Long id);

    /**
     * 查询四医大校方短信对接日志列表
     *
     * @param sydSmsLog 四医大校方短信对接日志
     * @return 四医大校方短信对接日志集合
     */
    List<SydSmsLog> selectSydSmsLogList(SydSmsLog sydSmsLog);

    /**
     * 根据主键集合查询四医大校方短信对接日志列表
     *
     * @param ids 主键集合
     * @return 四医大校方短信对接日志集合
     */
    List<SydSmsLog> getListByIds(List<Long> ids);

    /**
     * 新增四医大校方短信对接日志
     *
     * @param sydSmsLog 四医大校方短信对接日志
     * @return 结果
     */
    int insertSydSmsLog(SydSmsLog sydSmsLog);

    /**
     * 修改四医大校方短信对接日志
     *
     * @param sydSmsLog 四医大校方短信对接日志
     * @return 结果
     */
    int updateSydSmsLog(SydSmsLog sydSmsLog);

    /**
     * 批量删除四医大校方短信对接日志
     *
     * @param ids 需要删除的四医大校方短信对接日志主键集合
     * @return 结果
     */
    int deleteSydSmsLogByIds(Long[] ids);

    /**
     * 删除四医大校方短信对接日志信息
     *
     * @param id 四医大校方短信对接日志主键
     * @return 结果
     */
    int deleteSydSmsLogById(Long id);
}
